Package org.apache.sling.discovery.commons.providers.util

# Class PropertyNameHelper

java.lang.Object
org.apache.sling.discovery.commons.providers.util.PropertyNameHelper

public class PropertyNameHelper extends Object

## Constructor Summary

Constructors
Constructor
Description
`PropertyNameHelper()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isValidPropertyName(String name)`
SLING-2883 : properly test for valid property names

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyNameHelper

public PropertyNameHelper()

## Method Details

### isValidPropertyName

public static boolean isValidPropertyName(String name)
SLING-2883 : properly test for valid property names